org.apache.maven.scm.provider.svn

## Class SvnScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.svn.SvnScmTestUtils

    public final class SvnScmTestUtils
    extends Object

Author:
  Trygve Laugstøl

### Field Summary

Fields
`static String` `SVN_COMMAND_LINE` 'svn' command line
`static String` `SVNADMIN_COMMAND_LINE` 'svnadmin' command line

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getScmUrl(File repositoryRootFile)`
`static void` `initializeRepository(File repositoryRoot)`
`static void` `initializeRepository(File repositoryRoot, File dump)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SVN_COMMAND_LINE

    public static final String SVN_COMMAND_LINE

'svn' command line

See Also:
  Constant Field Values

#### SVNADMIN_COMMAND_LINE

    public static final String SVNADMIN_COMMAND_LINE

'svnadmin' command line

See Also:
  Constant Field Values

### Method Detail

#### initializeRepository

    public static void initializeRepository(File repositoryRoot)
                                     throws Exception

Throws:
  `Exception`

#### initializeRepository

    public static void initializeRepository(File repositoryRoot,
                                            File dump)
                                     throws Exception

Throws:
  `Exception`

#### getScmUrl

    public static String getScmUrl(File repositoryRootFile)
                            throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`